Subject: RE: [Megaco] Individual audit: differences in text & binary

From: "Kevin Boyle" <[email-masked]>
Date: Tue, 16 Aug 2005 15:54:43 -0400

Too late for V3.  That consented a couple weeks ago...

Kevin

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf
Of B Venkat S.R Swamy
Sent: Tuesday, August 16, 2005 5:12 AM
To: [email-masked]
Subject: Re: [Megaco] Individual audit: differences in text & binary

Hi
      Sometimes back there was mailing list discussion on the
differences between ASN and TEXT for the Individual audit feature
introduced in the
H248.1 V2. We have identified few more and summarised all the
differences in the attached document. For each of the differences we
have proposed solution to resolves the difference in grammar between ASN
and TEXT.
(See attached file: H248_1_v2_Individual_Audit_ASN_TEXT_differences.doc)

Kindly provide your feeback so that appropriate changes can be
incorporated in IG or V3.

regards
B Venkat S.R Swamy
Senior Technical Leader
Flextronics Software Systems
Phone:  +91-124-2455555 Extn 3620
Fax: +91-124-2455345
web: www.flextronicssoftware.com

---- Forwarded by B Venkat S.R Swamy/HSS on 08/16/2005 02:30 PM -----

Frank Reno <[email-masked]>@ietf.org on 04/20/2005 01:29:09 AM

Sent by:    [email-masked]

To:    [email-masked]
cc:

Subject:    Re: [Megaco] Individual audit: differences in text & binary

Thanks for the reply Christian.

1 & 2.  Are you saying that items in the Events, Signals, and
EventBuffer descriptors should have optionally one stream ID and no
other parameters?

3. Ok, but why is the requestID optional in binary and required in text?

4. Here's another difference I noted. Binary mode can audit one entire
signal list (providing the list ID but omitting the signal ID). This is
not possible in text mode.

Frank

--- Christian Groves <[email-masked]>
wrote:
> Hello Frank,
>
> The Invidual audits for text and binary should have the equivalent 
> functionality
>   (apart from Local and Remote). Please see my comments below.
>
> Regards, Christian
>
> Frank Reno wrote:
> > I've noticed some differences between what can be specified in an 
> > individual audit between the text
> and
> > binary encodings. Was this an oversight or intentional?
> >
> > 1. StreamID can be specified for events and
> signals in
> > binary mode only.
>
> [CHG] This does appear to be case. It seems that something like below 
> is needed:
>
> ; StreamID only in sigParameter or EventParameter
> indAudsignalRequest   = signalName [LBRKT sigParameter
> *(COMMA sigParameter) RBRKT]
> indAudrequestedEvent  = pkgdName [LBRKT eventParameter *(COMMA 
> eventParameter) RBRKT]
>
>
> > 2. Event buffer's event parameters can be
> specified in
> > text mode only.
>
> [CHG] The text does allow this to happen. However I think that the 
> only parameter that should be able to be given is the "streamID". This

> would be the same in (1) above. By references the "eventParameter" 
> construct you automatically get the ability to audit signal and event 
> parameters.
>
> > 3. RequestID is optional in binary and required in text.
> >
> > There were a couple of earlier threads discussing
> item
> > 3, but I didn't understand the responses. What is
> the
> > correct way to handle the requestID when received
> in
> > an audit descriptor? Is it:
> >
> > a. the specified requestID is ignored and the
> event is
> > always audited
> > b. the event is only audited if the specified requestID is the 
> > requestID of the termination's current event descriptor. (Can '*' be

> > used for the requestID in this case?) c. something else
>
> [CHG] I would say b. Rather than use '*' just perform a descriptor 
> audit.
>
> >
> > Many thanks,
> > Frank
> >

__________________________________
Do you Yahoo!?
Plan great trips with Yahoo! Travel: Now over 17,000 guides!
http://travel.yahoo.com/p-travelguide

_______________________________________________
Megaco mailing list
[email-masked]
 https://www1.ietf.org/mailman/listinfo/megaco

 ***********************  FSS-Restricted   ***********************

 ***********************  FSS-Restricted   ***********************
"DISCLAIMER: This message is proprietary to Flextronics Software Systems
Limited (FSS) and is intended solely for the use of the individual to
whom it is addressed. It may contain  privileged or confidential
information and should not be circulated or used for any purpose other
than for what it is intended. If you have received this message in
error, please notify the originator immediately.
If you are not the intended recipient, you are notified that you are
strictly  prohibited  from  using, copying, altering, or disclosing the
contents of this message.  FSS  accepts no  responsibility  for loss or
damage arising from the use of  the information transmitted by this
email including damage from virus."

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco

---

From: "B Venkat S.R Swamy" <[email-masked]>
Date: Wed, 17 Aug 2005 10:15:47 +0530

Hi Kevin
      Then, is there any IG planned for H248.1 V2 or corrigendum to V3
since these differences are there in V3 drafts as well that are available
at http://ftp3.itu.ch/av-arch/avc-site/2005-2008/ site.

regards
B Venkat S.R Swamy
Senior Technical Leader

             "Kevin Boyle"                                                 
             <[email-masked]                                             
             m>                                                         To 
             Sent by:                  B Venkat S.R Swamy/HSS@HSS,         
             megaco-bounces@ie         <[email-masked]>                   
             tf.org                                                     cc 
                                                                           
                                                                   Subject 
             08/17/2005 01:24          RE: [Megaco] Individual audit:      
             AM                        differences in text & binary        

                                                                           

Kevin

-----Original Message-----

Hi

regards
B Venkat S.R Swamy
Senior Technical Leader

---- Forwarded by B Venkat S.R Swamy/HSS on 08/16/2005 02:30 PM -----

To:    [email-masked]
cc:

Frank

***********************  FSS-Restricted   ***********************
"DISCLAIMER: This message is proprietary to Flextronics Software
Systems Limited (FSS) and is intended solely for the use of the
individual to whom it is addressed. It may contain  privileged or
confidential information and should not be circulated or used for
any purpose other than for what it is intended. If you have received
this message in  error, please notify the originator immediately.
If you are not the intended recipient, you are notified that you are
strictly  prohibited  from  using, copying, altering, or disclosing
the contents of this message.  FSS  accepts no  responsibility  for
loss or damage arising from the use of  the information transmitted
by this email including damage from virus."

---

From: "Tom-PT Taylor" <[email-masked]>
Date: Wed, 17 Aug 2005 11:52:26 -0400

You'll probably hate me for saying this, but the AAP process does allow 
for resolution of last-minute comments.